PDA

View Full Version : Downloaded Fiddle has different Ext version than live app



bartyhoho
2 Mar 2015, 8:25 AM
I downloaded a recent Fiddle, and the Ext version in index.html was 4.2.3 and not 5.1.0, which is what I see when it runs in Sencha Fiddle. My Fiddle is https://fiddle.sencha.com/#fiddle/irk, and I clicked the button to the left of the run button, whose tooltip says "Download Fiddle (zip)."

I had switched Ext versions a couple times to see what effect that would have, but the most recently saved version uses 5.1.0.

mitchellsimoens
4 Mar 2015, 3:16 AM
When I downloaded it, it had 4.2.3 in the index.html which is the same as when I load the fiddle within the Fiddle app.

bartyhoho
4 Mar 2015, 5:18 AM
That's weird. This is a screenshot of what I see when I load the Fiddle into any browser, not just the one I created it in. Is there a different way I should check which version of Ext is being used than the Framework combo?

51878

mitchellsimoens
4 Mar 2015, 5:30 AM
5.1.0 is the default framework. If you are not logged into Fiddle and the fiddle you are loading uses a premium framework version it will default to the default framework. Since the fiddle is saved with 4.2.3 and 4.2.3 is a support subscriber only release, if you are not logged in or if your forum user does not have the premium usergroups then it will not allow you to use 4.2.3 and will kick it to the default framework.